searchNodes=[{"doc":"TimeZoneInfo provides a time zone database for Elixir using the data from the the Internet Assigned Numbers Authority (IANA). Therefore TimeZoneInfo contains an implementation of the Calendar.TimeZoneDatabase behaviour under TimeZoneInfo.TimeZoneDatabase.","ref":"TimeZoneInfo.html","title":"TimeZoneInfo","type":"module"},{"doc":"Returns the version of the IANA database.","ref":"TimeZoneInfo.html#iana_version/0","title":"TimeZoneInfo.iana_version/0","type":"function"},{"doc":"Returns the date time in UTC for the next update. Retruns :never if the automated update disabled.","ref":"TimeZoneInfo.html#next_update/0","title":"TimeZoneInfo.next_update/0","type":"function"},{"doc":"Returns the state of TimeZoneInfo. Returns :ok if everything runs normal and the automated update is disabled. {:next, seconds} if everything runs normal. {:error, reason} in case of an error.","ref":"TimeZoneInfo.html#state/0","title":"TimeZoneInfo.state/0","type":"function"},{"doc":"Returns the list of all available time zones with or without links. The option :links can be used to customize the list. Values for :links: :ignore just the time zone names will be returned :only just the link names will be returned :include the time zone and link names will be returned (default) The list will be sorted.","ref":"TimeZoneInfo.html#time_zones/1","title":"TimeZoneInfo.time_zones/1","type":"function"},{"doc":"Triggers the update process. Withe the opt :force the update will be forced.","ref":"TimeZoneInfo.html#update/1","title":"TimeZoneInfo.update/1","type":"function"},{"doc":"The data structure containing all informations for TimeZoneInfo.","ref":"TimeZoneInfo.html#t:data/0","title":"TimeZoneInfo.data/0","type":"type"},{"doc":"The number of gregorian seconds starting with year 0","ref":"TimeZoneInfo.html#t:gregorian_seconds/0","title":"TimeZoneInfo.gregorian_seconds/0","type":"type"},{"doc":"The letter in an IANA rule.","ref":"TimeZoneInfo.html#t:letter/0","title":"TimeZoneInfo.letter/0","type":"type"},{"doc":"A rule representation.","ref":"TimeZoneInfo.html#t:rule/0","title":"TimeZoneInfo.rule/0","type":"type"},{"doc":"The name of a rule set that can be found in the IANA data.","ref":"TimeZoneInfo.html#t:rule_name/0","title":"TimeZoneInfo.rule_name/0","type":"type"},{"doc":"A reference to a rule set. The reference also contains utc_offset and format, The reference contains utc_offset and format because these values are needed to apply a rule.","ref":"TimeZoneInfo.html#t:rules_ref/0","title":"TimeZoneInfo.rules_ref/0","type":"type"},{"doc":"The time standards used by IANA.","ref":"TimeZoneInfo.html#t:time_standard/0","title":"TimeZoneInfo.time_standard/0","type":"type"},{"doc":"A period where a certain combination of UTC offset, standard offset and zone abbreviation is in effect. This is equivalent to Calendar.TimeZoneDatabase.time_zone_period.t().","ref":"TimeZoneInfo.html#t:time_zone_period/0","title":"TimeZoneInfo.time_zone_period/0","type":"type"},{"doc":"A transition marks a point in time when one or more of the values utc-offset, std_offset or zone-abbr change.","ref":"TimeZoneInfo.html#t:transition/0","title":"TimeZoneInfo.transition/0","type":"type"},{"doc":"The format of a zone_abbr.","ref":"TimeZoneInfo.html#t:zone_abbr_format/0","title":"TimeZoneInfo.zone_abbr_format/0","type":"type"},{"doc":"The zone_state is either a timezone_period or a rules_ref.","ref":"TimeZoneInfo.html#t:zone_state/0","title":"TimeZoneInfo.zone_state/0","type":"type"},{"doc":"A behaviour to persist the data.","ref":"TimeZoneInfo.DataPersistence.html","title":"TimeZoneInfo.DataPersistence","type":"behaviour"},{"doc":"Returns the checksum for the persisted data.","ref":"TimeZoneInfo.DataPersistence.html#c:checksum/0","title":"TimeZoneInfo.DataPersistence.checksum/0","type":"callback"},{"doc":"Returns the persisted data.","ref":"TimeZoneInfo.DataPersistence.html#c:fetch/0","title":"TimeZoneInfo.DataPersistence.fetch/0","type":"callback"},{"doc":"Returns the timestamp of the last update in seconds since epoch.","ref":"TimeZoneInfo.DataPersistence.html#c:fetch_last_update/0","title":"TimeZoneInfo.DataPersistence.fetch_last_update/0","type":"callback"},{"doc":"Persists the given data.","ref":"TimeZoneInfo.DataPersistence.html#c:put/1","title":"TimeZoneInfo.DataPersistence.put/1","type":"callback"},{"doc":"Sets time as last update time stamp. time is given in seconds since epoch.","ref":"TimeZoneInfo.DataPersistence.html#c:put_last_update/1","title":"TimeZoneInfo.DataPersistence.put_last_update/1","type":"callback"},{"doc":"An implementation for the behaviour TimeZoneInfo.DataPersistence to persist data in the priv dir.","ref":"TimeZoneInfo.DataPersistence.Priv.html","title":"TimeZoneInfo.DataPersistence.Priv","type":"module"},{"doc":"A behaviour to store data and serve them later on.","ref":"TimeZoneInfo.DataStore.html","title":"TimeZoneInfo.DataStore","type":"behaviour"},{"doc":"Deletes all data in the data store.","ref":"TimeZoneInfo.DataStore.html#c:delete!/0","title":"TimeZoneInfo.DataStore.delete!/0","type":"callback"},{"doc":"Returns true if the DataSore is empty.","ref":"TimeZoneInfo.DataStore.html#c:empty?/0","title":"TimeZoneInfo.DataStore.empty?/0","type":"callback"},{"doc":"Returns rules for a given rule_name.","ref":"TimeZoneInfo.DataStore.html#c:get_rules/1","title":"TimeZoneInfo.DataStore.get_rules/1","type":"callback"},{"doc":"Returns the list of all available time zones with or without links. The option :links can be used to customize the list. Values for :links: :ignore just the time zone names will be returned :only just the link name will be returned :include the time zone and link names will be returned The list will be sorted.","ref":"TimeZoneInfo.DataStore.html#c:get_time_zones/1","title":"TimeZoneInfo.DataStore.get_time_zones/1","type":"callback"},{"doc":"Returns the transitions for a given time_zone.","ref":"TimeZoneInfo.DataStore.html#c:get_transitions/1","title":"TimeZoneInfo.DataStore.get_transitions/1","type":"callback"},{"doc":"Puts the given data into the store.","ref":"TimeZoneInfo.DataStore.html#c:put/1","title":"TimeZoneInfo.DataStore.put/1","type":"callback"},{"doc":"Returns the version of the IANA database from which the data was generated.","ref":"TimeZoneInfo.DataStore.html#c:version/0","title":"TimeZoneInfo.DataStore.version/0","type":"callback"},{"doc":"This module implements the TimeZoneInfo.DataStore and stores the data with :ets.","ref":"TimeZoneInfo.DataStore.ErlangTermStorage.html","title":"TimeZoneInfo.DataStore.ErlangTermStorage","type":"module"},{"doc":"This module implements the TimeZoneInfo.DataStore and stores the data with :persistent_term.","ref":"TimeZoneInfo.DataStore.PersistentTerm.html","title":"TimeZoneInfo.DataStore.PersistentTerm","type":"module"},{"doc":"The behaviour for downloaders.","ref":"TimeZoneInfo.Downloader.html","title":"TimeZoneInfo.Downloader","type":"behaviour"},{"doc":"","ref":"TimeZoneInfo.Downloader.html#download/0","title":"TimeZoneInfo.Downloader.download/0","type":"function"},{"doc":"","ref":"TimeZoneInfo.Downloader.html#c:download/2","title":"TimeZoneInfo.Downloader.download/2","type":"callback"},{"doc":"","ref":"TimeZoneInfo.Downloader.html#t:download/0","title":"TimeZoneInfo.Downloader.download/0","type":"type"},{"doc":"The expected format for the download. TimeZoneInfo expected for :iana the zipped tar archive with IANA data. :etf a compressed file in the External Term Format.","ref":"TimeZoneInfo.Downloader.html#t:format/0","title":"TimeZoneInfo.Downloader.format/0","type":"type"},{"doc":"HTTP headers.","ref":"TimeZoneInfo.Downloader.html#t:headers/0","title":"TimeZoneInfo.Downloader.headers/0","type":"type"},{"doc":"","ref":"TimeZoneInfo.Downloader.html#t:opts/0","title":"TimeZoneInfo.Downloader.opts/0","type":"type"},{"doc":"An implementation of the TimeZoneInfo.Downloader behaviour using Mint.","ref":"TimeZoneInfo.Downloader.Mint.html","title":"TimeZoneInfo.Downloader.Mint","type":"module"},{"doc":"Encodes and decodes the TimeZoneInfo.data.","ref":"TimeZoneInfo.ExternalTermFormat.html","title":"TimeZoneInfo.ExternalTermFormat","type":"module"},{"doc":"Returns a checksum for the binary or TimeZoneInfo.data.","ref":"TimeZoneInfo.ExternalTermFormat.html#checksum/1","title":"TimeZoneInfo.ExternalTermFormat.checksum/1","type":"function"},{"doc":"Decodes TimeZoneInfo.data from binary.","ref":"TimeZoneInfo.ExternalTermFormat.html#decode/1","title":"TimeZoneInfo.ExternalTermFormat.decode/1","type":"function"},{"doc":"Encodes TimeZoneInfo.data to binary.","ref":"TimeZoneInfo.ExternalTermFormat.html#encode/1","title":"TimeZoneInfo.ExternalTermFormat.encode/1","type":"function"},{"doc":"This module provides a function to extract files form a zipped tar archive.","ref":"TimeZoneInfo.FileArchive.html","title":"TimeZoneInfo.FileArchive","type":"module"},{"doc":"Extracts the given files from the archive.","ref":"TimeZoneInfo.FileArchive.html#extract/2","title":"TimeZoneInfo.FileArchive.extract/2","type":"function"},{"doc":"The IANA-Parser builds the data structure for TimeZoneInfo. The format of the IANA data explains the article How to Read the tz Database Source Files","ref":"TimeZoneInfo.IanaParser.html","title":"TimeZoneInfo.IanaParser","type":"module"},{"doc":"Builds the data structure IanaParser.output from the iana_data.","ref":"TimeZoneInfo.IanaParser.html#parse/1","title":"TimeZoneInfo.IanaParser.parse/1","type":"function"},{"doc":"Builds the data structure IanaParser.output from the IANA data in files under path.","ref":"TimeZoneInfo.IanaParser.html#parse/2","title":"TimeZoneInfo.IanaParser.parse/2","type":"function"},{"doc":"The raw IANA data.","ref":"TimeZoneInfo.IanaParser.html#t:data/0","title":"TimeZoneInfo.IanaParser.data/0","type":"type"},{"doc":"","ref":"TimeZoneInfo.IanaParser.html#t:day/0","title":"TimeZoneInfo.IanaParser.day/0","type":"type"},{"doc":"","ref":"TimeZoneInfo.IanaParser.html#t:op/0","title":"TimeZoneInfo.IanaParser.op/0","type":"type"},{"doc":"The parsed data.","ref":"TimeZoneInfo.IanaParser.html#t:output/0","title":"TimeZoneInfo.IanaParser.output/0","type":"type"},{"doc":"","ref":"TimeZoneInfo.IanaParser.html#t:rule/0","title":"TimeZoneInfo.IanaParser.rule/0","type":"type"},{"doc":"","ref":"TimeZoneInfo.IanaParser.html#t:time/0","title":"TimeZoneInfo.IanaParser.time/0","type":"type"},{"doc":"","ref":"TimeZoneInfo.IanaParser.html#t:until/0","title":"TimeZoneInfo.IanaParser.until/0","type":"type"},{"doc":"","ref":"TimeZoneInfo.IanaParser.html#t:zone/0","title":"TimeZoneInfo.IanaParser.zone/0","type":"type"},{"doc":"A behaviour for TimeZoneInfo listeners.","ref":"TimeZoneInfo.Listener.html","title":"TimeZoneInfo.Listener","type":"behaviour"},{"doc":"A callback to listen on the update process. Possible steps: :initial initializing data. :check checking whether an update is necessary. :download downloads data. :update updating data.","ref":"TimeZoneInfo.Listener.html#c:on_update/1","title":"TimeZoneInfo.Listener.on_update/1","type":"callback"},{"doc":"A listener to log TimeZoneInfo events.","ref":"TimeZoneInfo.Listener.Logger.html","title":"TimeZoneInfo.Listener.Logger","type":"module"},{"doc":"Listen on update events.","ref":"TimeZoneInfo.Listener.Logger.html#on_update/1","title":"TimeZoneInfo.Listener.Logger.on_update/1","type":"function"},{"doc":"Some functions to handle datetimes in TimeZoneInfo.","ref":"TimeZoneInfo.NaiveDateTimeUtil.html","title":"TimeZoneInfo.NaiveDateTimeUtil","type":"module"},{"doc":"Returns true if naive_datetime1 is after or equal to naive_datetime2.","ref":"TimeZoneInfo.NaiveDateTimeUtil.html#after?/2","title":"TimeZoneInfo.NaiveDateTimeUtil.after?/2","type":"function"},{"doc":"Returns true if naive_datetime1 is after or equal to naive_datetime2.","ref":"TimeZoneInfo.NaiveDateTimeUtil.html#after_or_equal?/2","title":"TimeZoneInfo.NaiveDateTimeUtil.after_or_equal?/2","type":"function"},{"doc":"Returns true if naive_datetime1 is before naive_datetime2.","ref":"TimeZoneInfo.NaiveDateTimeUtil.html#before?/2","title":"TimeZoneInfo.NaiveDateTimeUtil.before?/2","type":"function"},{"doc":"Returns true if naive_datetime1 is before or equal to naive_datetime2.","ref":"TimeZoneInfo.NaiveDateTimeUtil.html#before_or_equal?/2","title":"TimeZoneInfo.NaiveDateTimeUtil.before_or_equal?/2","type":"function"},{"doc":"Returns a naive dattime at the end of the year for the given year.","ref":"TimeZoneInfo.NaiveDateTimeUtil.html#end_of_year/1","title":"TimeZoneInfo.NaiveDateTimeUtil.end_of_year/1","type":"function"},{"doc":"Computes the date and time from the specified number of gregorian seconds.","ref":"TimeZoneInfo.NaiveDateTimeUtil.html#from_gregorian_seconds/1","title":"TimeZoneInfo.NaiveDateTimeUtil.from_gregorian_seconds/1","type":"function"},{"doc":"Builds a new ISO naive datetime from parsed IANA data.","ref":"TimeZoneInfo.NaiveDateTimeUtil.html#from_iana/1","title":"TimeZoneInfo.NaiveDateTimeUtil.from_iana/1","type":"function"},{"doc":"","ref":"TimeZoneInfo.NaiveDateTimeUtil.html#from_iana/2","title":"TimeZoneInfo.NaiveDateTimeUtil.from_iana/2","type":"function"},{"doc":"","ref":"TimeZoneInfo.NaiveDateTimeUtil.html#from_iana/4","title":"TimeZoneInfo.NaiveDateTimeUtil.from_iana/4","type":"function"},{"doc":"Builds a new ISO naive datetime from iso days.","ref":"TimeZoneInfo.NaiveDateTimeUtil.html#from_iso_days/1","title":"TimeZoneInfo.NaiveDateTimeUtil.from_iso_days/1","type":"function"},{"doc":"Builds a new ISO naive datetime. This function differs in the types and arity from NaiveDateTime.new/6.","ref":"TimeZoneInfo.NaiveDateTimeUtil.html#new/6","title":"TimeZoneInfo.NaiveDateTimeUtil.new/6","type":"function"},{"doc":"Returns true if the given time spans are overlapping.","ref":"TimeZoneInfo.NaiveDateTimeUtil.html#overlap?/2","title":"TimeZoneInfo.NaiveDateTimeUtil.overlap?/2","type":"function"},{"doc":"Sorts the given list of tuples by the datetime specified in the first element.","ref":"TimeZoneInfo.NaiveDateTimeUtil.html#sort/2","title":"TimeZoneInfo.NaiveDateTimeUtil.sort/2","type":"function"},{"doc":"Computes the number of gregorian seconds starting with year 0 and ending at the specified date and time.","ref":"TimeZoneInfo.NaiveDateTimeUtil.html#to_gregorian_seconds/1","title":"TimeZoneInfo.NaiveDateTimeUtil.to_gregorian_seconds/1","type":"function"},{"doc":"Returns the Calendar.iso_days/0 format of the specified date.","ref":"TimeZoneInfo.NaiveDateTimeUtil.html#to_iso_days/1","title":"TimeZoneInfo.NaiveDateTimeUtil.to_iso_days/1","type":"function"},{"doc":"Converts a datetime to UTC.","ref":"TimeZoneInfo.NaiveDateTimeUtil.html#to_utc/4","title":"TimeZoneInfo.NaiveDateTimeUtil.to_utc/4","type":"function"},{"doc":"Implementation of the Calendar.TimeZoneDatabase behaviour.","ref":"TimeZoneInfo.TimeZoneDatabase.html","title":"TimeZoneInfo.TimeZoneDatabase","type":"module"},{"doc":"Callback implementation for Calendar.TimeZoneDatabase.time_zone_period_from_utc_iso_days/2.","ref":"TimeZoneInfo.TimeZoneDatabase.html#time_zone_period_from_utc_iso_days/2","title":"TimeZoneInfo.TimeZoneDatabase.time_zone_period_from_utc_iso_days/2","type":"function"},{"doc":"Callback implementation for Calendar.TimeZoneDatabase.time_zone_periods_from_wall_datetime/2.","ref":"TimeZoneInfo.TimeZoneDatabase.html#time_zone_periods_from_wall_datetime/2","title":"TimeZoneInfo.TimeZoneDatabase.time_zone_periods_from_wall_datetime/2","type":"function"},{"doc":"The Transformer transfers the parsed IANA data into the required format for TimeZoneInfo.","ref":"TimeZoneInfo.Transformer.html","title":"TimeZoneInfo.Transformer","type":"module"},{"doc":"Transforms the iana_data into a map of type TimeZoneInfo.data().","ref":"TimeZoneInfo.Transformer.html#transform/3","title":"TimeZoneInfo.Transformer.transform/3","type":"function"},{"doc":"","ref":"TimeZoneInfo.Transformer.html#t:opts/0","title":"TimeZoneInfo.Transformer.opts/0","type":"type"},{"doc":"This module handles and transforms the IANA rules.","ref":"TimeZoneInfo.Transformer.Rule.html","title":"TimeZoneInfo.Transformer.Rule","type":"module"},{"doc":"Returns all rules form the rule set that are for now valid until end of time.","ref":"TimeZoneInfo.Transformer.Rule.html#max/1","title":"TimeZoneInfo.Transformer.Rule.max/1","type":"function"},{"doc":"Returns true if rule is valid until end of time or one of the rules is valid until end of time.","ref":"TimeZoneInfo.Transformer.Rule.html#max?/1","title":"TimeZoneInfo.Transformer.Rule.max?/1","type":"function"},{"doc":"Returns letters from the first rule that will produce a transition with std_offset = 0.","ref":"TimeZoneInfo.Transformer.Rule.html#std_letters/1","title":"TimeZoneInfo.Transformer.Rule.std_letters/1","type":"function"},{"doc":"Transforms a IanaParser.rule to a TimeZoneInfo.rule. If the function gets a list then all rules will be transformed.","ref":"TimeZoneInfo.Transformer.Rule.html#transform/1","title":"TimeZoneInfo.Transformer.Rule.transform/1","type":"function"},{"doc":"Returns transitions fore the IANA rules.","ref":"TimeZoneInfo.Transformer.Rule.html#transitions/6","title":"TimeZoneInfo.Transformer.Rule.transitions/6","type":"function"},{"doc":"This modules handles transitions during the transformation.","ref":"TimeZoneInfo.Transformer.Transition.html","title":"TimeZoneInfo.Transformer.Transition","type":"module"},{"doc":"Adds a transition to transitions if the first transition does not have the same datetime.","ref":"TimeZoneInfo.Transformer.Transition.html#add_new/2","title":"TimeZoneInfo.Transformer.Transition.add_new/2","type":"function"},{"doc":"Returns the std_offset of a transition. If this function gets a list then the std_offset of the last transition will be returned.","ref":"TimeZoneInfo.Transformer.Transition.html#get_std_offset/1","title":"TimeZoneInfo.Transformer.Transition.get_std_offset/1","type":"function"},{"doc":"Transforms transition date-times to UTC and creates the TimeZoneInfo.time_zone_period.","ref":"TimeZoneInfo.Transformer.Transition.html#transform/1","title":"TimeZoneInfo.Transformer.Transition.transform/1","type":"function"},{"doc":"","ref":"TimeZoneInfo.Transformer.Transition.html#t:t/0","title":"TimeZoneInfo.Transformer.Transition.t/0","type":"type"},{"doc":"The transformer for time-zones.","ref":"TimeZoneInfo.Transformer.ZoneState.html","title":"TimeZoneInfo.Transformer.ZoneState","type":"module"},{"doc":"Transforms the IanaPraser.zone data in a list of TimeZoneInfo.transition.","ref":"TimeZoneInfo.Transformer.ZoneState.html#transform/3","title":"TimeZoneInfo.Transformer.ZoneState.transform/3","type":"function"},{"doc":"Handles the automatic update and the initial setup.","ref":"TimeZoneInfo.Updater.html","title":"TimeZoneInfo.Updater","type":"module"},{"doc":"Updates the TimeZoneInfo data. With opt :run an normal update process is started. The opt :force forced an update process. Returns :ok if automatic updates are disabled. {:next, seconds} where seconds is the time to wait until the next update. {:error, reason} in case of an error.","ref":"TimeZoneInfo.Updater.html#update/1","title":"TimeZoneInfo.Updater.update/1","type":"function"},{"doc":"","ref":"TimeZoneInfo.Updater.html#t:step/0","title":"TimeZoneInfo.Updater.step/0","type":"type"},{"doc":"Holds the state for TimeZoneInfo and starts the initial update and when configured the automatic updates.","ref":"TimeZoneInfo.Worker.html","title":"TimeZoneInfo.Worker","type":"module"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor.","ref":"TimeZoneInfo.Worker.html#child_spec/1","title":"TimeZoneInfo.Worker.child_spec/1","type":"function"},{"doc":"Returns the tuple {:next, datetime} where datetime is the date time for the next update. If datetime is nil no update process is started.","ref":"TimeZoneInfo.Worker.html#next/1","title":"TimeZoneInfo.Worker.next/1","type":"function"},{"doc":"Starts a worker for TimeZoneInfo.","ref":"TimeZoneInfo.Worker.html#start_link/1","title":"TimeZoneInfo.Worker.start_link/1","type":"function"},{"doc":"Returns the state of the worker. Possible return values are: :ok: TimeZoneInfo is initialised and the update process is disabled. {:next, milliseconds}: TimeZoneInfo is initialised and the next update runs after milliseconds. {:error, reason}","ref":"TimeZoneInfo.Worker.html#state/1","title":"TimeZoneInfo.Worker.state/1","type":"function"},{"doc":"Runs the update process. This will also run at start up for the initialisation of TimeZoneInfo. This function returns the same as state/0.","ref":"TimeZoneInfo.Worker.html#update/2","title":"TimeZoneInfo.Worker.update/2","type":"function"},{"doc":"TimeZoneInfo Time zone support for Elixir by using the IANA Time Zone Database.","ref":"readme.html","title":"TimeZoneInfo","type":"extras"},{"doc":"The package can be installed by adding time_zone_info to your list of dependencies in mix.exs: def deps do [ {:time_zone_info, &quot;~&gt; 0.1.0&quot;} ] end","ref":"readme.html#installation","title":"TimeZoneInfo - Installation","type":"extras"},{"doc":"After installation, TimeZoneInfo can be used as follows. iex&gt; TimeZoneInfo.iana_version &quot;2019c&quot; iex&gt; TimeZoneInfo.time_zones() |&gt; Enum.take(3) [&quot;Africa/Abidjan&quot;, &quot;Africa/Accra&quot;, &quot;Africa/Addis_Ababa&quot;] iex&gt; TimeZoneInfo.period_from_utc(~N[2020-03-29 01:30:00], &quot;Europe/Berlin&quot;) {:ok, {3600, 3600, &quot;CEST&quot;}} In combination with DateTime and Calendar: iex&gt; {:ok, berlin} = DateTime.from_naive( ...&gt; ~N[2020-03-29 01:30:00], ...&gt; &quot;Europe/Berlin&quot;, ...&gt; TimeZoneInfo.TimeZoneDatabase) {:ok, #DateTime&lt;2020-03-29 01:30:00+01:00 CET Europe/Berlin&gt;} iex&gt; Calendar.put_time_zone_database(TimeZoneInfo.TimeZoneDatabase) :ok iex&gt; DateTime.shift_zone(berlin, &quot;America/New_York&quot;) {:ok, #DateTime&lt;2020-03-28 20:30:00-04:00 EDT America/New_York&gt;} Instead of the line Calendar.put_time_zone_database(TimeZoneInfo.TimeZoneDatabase) you can also specify the following entry in the configuration. config :elixir, :time_zone_database, TimeZoneInfo.TimeZoneDatabase For more information how to configure TimeZoneInfo see Config. The site shows how to enable automated updates, filter time zones, and add custom behaviours.","ref":"readme.html#usage","title":"TimeZoneInfo - Usage","type":"extras"},{"doc":"The benchmarks can be executed with mix bench. A benchmark to compare TimeZoneInfo with Tzdata and Tz for the execution of TimeZoneDatabase.time_zone_periods_from_wall_datetime/2. A benchmark to measure the speed of the transformation of the raw IANA data to the required data in runtime.","ref":"readme.html#benchmarks","title":"TimeZoneInfo - Benchmarks","type":"extras"},{"doc":"There are some differences to Tzdata and Tz. The list shows differences to Tzdata and/or Tz. Use of :persitent_term with an optional use of :ets. Persisting data in External Term Format The data persisting is customizable by the behaviour TimeZoneInfo.DataPersistence. Optional download of time zone data in TimeZoneInfo format. The download is customizable by the behaviour TimeZoneInfo.Downloader. Filter time zones per config. Optional listener that will be called on updates. TimeZoneInfo calculates periods in the far future by continuation rules. Except for time zones that have daylight saving times for Ramadan.","ref":"readme.html#differences-to-tzdata-and-tz","title":"TimeZoneInfo - Differences to Tzdata and Tz","type":"extras"},{"doc":"The home of the IANA Time Zone Database: https://www.iana.org/time-zones Links: Time zone - Wikipedia timeanddate.com WorldTimeServer.com Other Elixir implementations: tzdata - Tzdata is a parser and library for the tz database. tz - Time zone support for Elixir Other implementations: DateTime::TimeZone - Perl TimeZoneInfo use this module as a checker in the tests. NodaTime - A better date and time API for .NET TimeZonInfo use some data from this site in the tests.","ref":"readme.html#references","title":"TimeZoneInfo - References","type":"extras"},{"doc":"Config Add the following line to use TimeZoneInfo per default in the project. config :elixir, :time_zone_database, TimeZoneInfo.TimeZoneDatabase","ref":"config.html","title":"Config","type":"extras"},{"doc":"The automated update uses the default Downloader, and this one uses Mint. Therefore the following dependencies are needed in mix.exs. defp deps do [ ... {:castore, &quot;~&gt; 0.1.0&quot;}, {:mint, &quot;~&gt; 1.0&quot;}, ... ] end The config has to be extended with: config :time_zone_info, update: :daily","ref":"config.html#enable-automated-updates","title":"Config - Enable automated updates","type":"extras"},{"doc":"It is also possible to use your own downloader. This requires an implementation of the behaviour TimeZoneInfo.Downloader. The custom downloader has to be specified in the config. config :time_zone_info, [ update: :daily, downloader: [ module: MyApp.TimeZonInfo.Downloader, uri: &quot;https://data.iana.org/time-zones/tzdata-latest.tar.gz&quot;, format: :iana, headers: [ {&quot;Content-Type&quot;, &quot;application/tar+gzip&quot;}, {&quot;User-Agent&quot;, &quot;Elixir.TimeZoneInfo.Mint&quot;} ] ], ] The option update specifies the update interval. Possible values are :daily and :disabled to disable the automated update. The keys uri and headers containing to download the data. The key format can contain :iana or :etf and indicates whether they data are delivered in IANA format (.tar.gz) or in zipped ETF (External Term Format).","ref":"config.html#custom-downloader","title":"Config - Custom downloader","type":"extras"},{"doc":"TimeZoneInfo provides some configuration options to select a subset form the available time zones and the size of the generated periods table. files: Default: ~w(africa antarctica asia australasia etcetera europe northamerica southamerica) This option specifies which files are parsed from the IANA data. The files europe, asia, etc are self-explanatory. The file ecetera contains time zones like Etc/UTC, Etc/Zulu, Etc/GMT+1, etc. time_zones: Default: :all With time_zones: you can determine which time zones should be used. This configuration expected a list of time zone names and/or areas like [&quot;Asia&quot;, &quot;Europe/Berlin&quot;]. In this example all time zones in the area Asia and the time zone &quot;Europe/Berlin&quot; are available. The links that points to the available time zones will be also available. lookahead: Default: 5 The lookahead specifies for how many years from now the periods will be calculated.","ref":"config.html#time-zone-manipulation","title":"Config - Time zone manipulation","type":"extras"},{"doc":"It is not recomented to update the configuration at runtime. Becaus the data in runtime will just be updated but never deleted. That means if you change time_zones: :all to time_zones: [&quot;Europe&quot;] then all time zones are available after an update. This is not a problem for the automated update. Because all period tables will be updated.","ref":"config.html#no-runtime-config-no-delete","title":"Config - No runtime config, no delete","type":"extras"},{"doc":"TimeZoneInfo provides two methods to store data at runtime. The data can be stored either with :persistent_term or with :ets. The option data_store holds this configuration. With data_store: :detect (default) the method with :persistent_term will be used if :persitent_term is available (OTP &gt;= 21.2). To set a method explicitly use data_store: TimeZoneInfo.DataStore.PersistentTerm or data_store: TimeZoneInfo.DataStore.ErlangTermStorage.","ref":"config.html#the-data-store","title":"Config - The data store","type":"extras"}]